Bug 1086666 - XFCE desktop turns black (or crashes, presenting a new login screen) as the rssult of random mouse pointer movements (Lenovo t430, Intel I915 graphics)
XFCE desktop turns black (or crashes, presenting a new login screen) as the r...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: X.Org
Current
x86-64 SUSE Other
: P5 - None : Critical (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-23 13:28 UTC by W Obermiller
Modified: 2018-03-26 08:07 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Output of lspci -v. (8.28 KB, text/plain)
2018-03-23 13:28 UTC, W Obermiller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description W Obermiller 2018-03-23 13:28:13 UTC
Created attachment 764767 [details]
Output of lspci -v.

Some days ago I did a clean install of current (20180319) Tumbleweed on a Lenovo T-430 with Intel Graphics (i915; hardware summary attached) from a DVD-image.

Tumbleweed installed without problems, but both XFCE and Plasma desktops turn black after some fiddling with the mouse (no reproducible pattern identifiable). Sometimes, the desktop does not go black, but X crashes instead, presenting me with the login screen. 
In cases where the screen simply goes black, killing X from another VT gets you a new login screen.

Furthermore, network connections cannot be established by these desktops.
As a result of this, there are numerous core files in /var/lib/systemd/coredumps.

In contrast, when using the plasma-wayland desktop both the network connection and desktop work.

As I never had any problems with Opensuse on (at least three) Lenovo Thinkpads (T41, T61, X61) before, I think that Tumbleweed should properly run on my T430 too.
I do realize that the information provided so far is quite scant, but will be happy to supply further information/files once I know what will help to resolve the issue. Any hints how to investigate/resolve this issue are appreciated.
Comment 1 Stefan Seyfried 2018-03-24 10:21:26 UTC
Not an XFCE problem.
Check /var/log/Xorg.0.log.

If it is libinput, then it is fixed in Factory by https://build.opensuse.org/request/show/588135.
Comment 2 W Obermiller 2018-03-26 08:07:07 UTC
It seems that Stefan Seyfried's suggestion that libinput might be at fault is correct.
Updating to tumbleweed VERSION="20180320" has fixed the problem for me.
Thanks for your time and effort.